[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [PAM] Should `ssh' depend on `libpwdb'?

On Mon, May 31, 1999 at 07:05:40PM -0400, Michael Alan Dorman wrote:
> psu25682@odin.cc.pdx.edu (Karl M. Hegbloom) writes:
> > I think I remember reading in one of these mailing lists that the PAM
> > `libpwdb' is deprecated, and should not be used, since it bypasses the 
> > normal "nsswitch" mechanism in glibc.  Is this true?
> Based on messages that went out on the pam list in the last seven
> days, I do not think the PAM developers consider libpwdb as
> deprecated.
> Mike.

Deprecated is not the proper term. libpwdb is not prefered in Debian as
it is in RedHat. Considering that the majority of the libpwdb code is
duplication of the same libc calls, it's considered overkill and adds
an uneeded layer to the authentication process.

Reply to: